Summary:	GMPC Editor for song tags
Name:		gmpc-tagedit
Version:	11.8.16
Release:	%mkrel 11
License:	GPLv2+
Group:		Sound/Players
Url:		https://gmpc.wikia.com/wiki/GMPC_PLUGIN_TAGEDIT
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(glib-2.0) >= 2.16
BuildRequires: pkgconfig(gobject-2.0) >= 2.4
BuildRequires: pkgconfig(gtk+-2.0) >= 2.8
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(libmpd) >= 0.15.98
BuildRequires: pkgconfig(gmpc) >= 0.16.2
BuildRequires: pkgconfig(taglib_c)
BuildRequires:	intltool
BuildRequires:  gob2
Requires:	gmpc >= %{version}

%description
This plugin for GMPC adds a editor panel for editing song tags.
With the plugin enabled, you are able to queue one or more songs to
the Tag editor from the playlist or song browser.
You may then enter the Tag editor panel and modify the tags of the
queued songs one by one or by groups. The changes are recorded when
you hit the Save button. If you made a mistake while editing tags,
you may discard the changes you made to one song or a group of songs.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure CPPFLAGS=-D_XOPEN_SOURCE=700
%make_build

%install
%make_install

%find_lang %name

rm -f %{buildroot}%{_libdir}/gmpc/plugins/*.la

%files -f %name.lang
%{_libdir}/gmpc/plugins/gmpctageditplugin.so


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 11.8.16-11.mga9
+ Revision: 1834506
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 11.8.16-10.mga8
+ Revision: 1512571
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 11.8.16-9.mga7
+ Revision: 1297937
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 wally <wally> 11.8.16-8.mga7
+ Revision: 1238365
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 11.8.16-7.mga6
+ Revision: 935762
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 11.8.16-6.mga5
+ Revision: 750402
- Second Mageia 5 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 11.8.16-5.mga5
+ Revision: 739293
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 11.8.16-4.mga4
+ Revision: 505025
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 11.8.16-3.mga3
+ Revision: 351919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 11.8.16-2.mga3
+ Revision: 322834
- update RPM group

* Wed Jan 04 2012 fwang <fwang> 11.8.16-1.mga2
+ Revision: 190727
- new version 11.8.16

* Thu May 12 2011 mikala <mikala> 0.20.0-0.mga1
+ Revision: 97545
- imported package gmpc-tagedit

